Bug 466319 - Poor performance on urbanterror
Poor performance on urbanterror
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: i810compizslow
  Show dependency treegraph
 
Reported: 2008-10-09 14:25 EDT by Edney Matias
Modified: 2009-12-04 12:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:56:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log file. (65.13 KB, text/plain)
2008-10-09 14:27 EDT, Edney Matias
no flags Details
xorg.conf from Fedora 9 (598 bytes, text/plain)
2008-10-12 15:29 EDT, Edney Matias
no flags Details
Xorg.0.log file from Fedora 9 (42.30 KB, application/octet-stream)
2008-10-12 22:42 EDT, Edney Matias
no flags Details
urbanterror output (19.10 KB, text/plain)
2008-10-13 21:29 EDT, Edney Matias
no flags Details
glxinfo output (7.04 KB, text/plain)
2008-10-13 21:48 EDT, Edney Matias
no flags Details
dmesg output while running pm-suspend and then resuming (56.20 KB, text/plain)
2009-11-05 21:08 EST, Edney Matias
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 18084 None None None Never

  None (edit)
Description Edney Matias 2008-10-09 14:25:54 EDT
Description of problem: I used to play urbanterror on my Dell Vostro 1400. It's not a hardware proper to gameplay but it used to do well. But I saw the performance drop in the last two releases of xorg to miserable 3 FPS. I don't know how to search for evidences where the problem is, so i'm registering against xorg. Maybe it's related to the absence of the xorg.conf file. Maybe some option that used to be set to my video card driver is no more set in the default config. I'm willing to gather the information needed to help isolate the problem.


Version-Release number of selected component (if applicable):
# rpm -qa | grep xorg
xorg-x11-drv-mouse-1.3.0-2.fc9.x86_64  
xorg-x11-xauth-1.0.2-5.fc10.x86_64     
xorg-x11-utils-7.4-3.fc10.x86_64       
xorg-x11-drv-calcomp-1.1.2-1.fc9.x86_64
xorg-x11-drv-mga-1.4.9-1.fc9.x86_64    
xorg-x11-drv-savage-2.2.0-2.fc9.x86_64 
xorg-x11-drv-wiimote-0.0.1-1.fc9.x86_64
xorg-x11-drv-microtouch-1.2.0-1.fc9.x86_64
xorg-x11-server-Xorg-1.5.1-10.fc10.x86_64 
xorg-x11-font-utils-7.2-6.fc10.x86_64     
xorg-x11-drv-void-1.1.1-9.fc9.x86_64      
xorg-x11-drv-palmax-1.2.0-1.fc9.x86_64    
xorg-x11-drv-aiptek-1.1.1-1.fc9.x86_64    
xorg-x11-drv-hyperpen-1.2.0-1.fc9.x86_64  
xorg-x11-drv-glint-1.2.1-1.fc9.x86_64     
xorg-x11-drv-sisusb-0.9.0-1.fc9.x86_64    
xorg-x11-drv-trident-1.3.0-1.fc9.x86_64   
xorg-x11-drv-i128-1.3.0-1.fc9.x86_64      
xorg-x11-filesystem-7.3-2.fc10.noarch     
xorg-x11-xkb-utils-7.2-7.fc10.x86_64      
xorg-x11-drv-vesa-2.0.0-1.fc10.x86_64     
xorg-x11-drv-vmmouse-12.5.0-1.fc9.x86_64  
xorg-x11-drv-voodoo-1.2.0-1.fc9.x86_64    
xorg-x11-drv-tek4957-1.2.0-1.fc9.x86_64   
xorg-x11-drv-sis-0.10.0-1.fc9.x86_64      
xorg-x11-drv-magellan-1.2.0-1.fc9.x86_64  
xorg-x11-drv-tdfx-1.4.0-1.fc9.x86_64      
xorg-x11-drv-rendition-4.2.0-1.fc9.x86_64 
xorg-x11-drv-penmount-1.3.0-1.fc9.x86_64  
xorg-x11-drv-spaceorb-1.1.0-6.fc9.x86_64  
xorg-x11-drv-v4l-0.2.0-1.fc9.x86_64       
xorg-x11-drv-acecad-1.2.2-1.fc9.x86_64    
xorg-x11-drv-r128-6.8.0-1.fc10.x86_64     
xorg-x11-drv-evdev-2.0.6-2.fc10.x86_64    
xorg-x11-drv-ati-6.9.0-21.fc10.x86_64     
xorg-x11-server-utils-7.4-3.fc10.x86_64   
xorg-x11-xdm-1.1.6-4.fc10.x86_64
xorg-x11-drv-keyboard-1.3.0-3.fc9.x86_64
xorg-x11-drv-digitaledge-1.1.1-1.fc9.x86_64
xorg-x11-drv-dmc-1.1.2-1.fc9.x86_64
xorg-x11-drv-fpit-1.2.0-1.fc9.x86_64
xorg-x11-drv-dummy-0.3.0-1.fc9.x86_64
xorg-x11-drv-cirrus-1.2.0-1.fc9.x86_64
xorg-x11-drv-i740-1.2.0-1.fc9.x86_64
xorg-x11-drv-dynapro-1.1.2-1.fc9.x86_64
xorg-x11-drv-mach64-6.8.0-1.fc10.x86_64
xorg-x11-drv-summa-1.2.0-2.fc10.x86_64
xorg-x11-drv-siliconmotion-1.6.0-1.fc9.x86_64
xorg-x11-drv-s3virge-1.10.0-1.fc9.x86_64
xorg-x11-drv-nouveau-0.0.11-1.20080902git6dd8ad4.fc10.x86_64
xorg-x11-drivers-7.3-9.fc10.x86_64
xorg-x11-drv-i810-2.4.2-9.fc10.x86_64
xorg-x11-drv-nv-2.1.12-5.fc10.x86_64
xorg-x11-drv-elographics-1.2.0-1.fc9.x86_64
xorg-x11-drv-vmware-10.16.0-1.fc9.x86_64
xorg-x11-drv-fbdev-0.3.1-7.fc9.x86_64
xorg-x11-drv-citron-2.2.1-1.fc9.x86_64
xorg-x11-drv-ur98-1.1.0-5.fc9.x86_64
xorg-x11-drv-ast-0.85.0-1.fc9.x86_64
xorg-x11-drv-synaptics-0.15.2-1.fc10.x86_64
xorg-x11-xinit-1.0.9-4.fc10.x86_64
xorg-x11-apps-7.3-5.fc10.x86_64
xorg-x11-drv-diamondtouch-0.2.0-0.1.fc9.x86_64
xorg-x11-drv-openchrome-0.2.903-1.fc10.x86_64
xorg-x11-drv-jamstudio-1.2.0-1.fc9.x86_64
xorg-x11-drv-apm-1.2.0-1.fc9.x86_64
xorg-x11-server-common-1.5.1-10.fc10.x86_64
xorg-x11-drv-mutouch-1.2.1-1.fc10.x86_64

How reproducible: always.

Steps to Reproduce:
1. install Fedora 10;
2. run urbanterror;
3. start an online game;
  
Actual results: The FPS drops to 3, and the sound clicks. On Fedora 9, the sound used to click, but the FPS was good, near 25, sometimes 30, never 3. Now i have lag on sound and poor FPS on Fedora 10.


Expected results: Clear sound, without clicks or ticks and FPS near 30, as it used to be.


Additional info: glxinfo shows directing rendering is active. Running KDE 4 without compositing. I had experienced this behavior on others distros whenever i use a xorg without xorg.conf.

# lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 02)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
03:01.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
03:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
03:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)
09:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5906M Fast Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)

# uname -a
Linux r2d2 2.6.27-0.398.rc9.fc10.x86_64 #1 SMP Mon Oct 6 21:52:11 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Edney Matias 2008-10-09 14:27:59 EDT
Created attachment 319892 [details]
xorg log file.
Comment 2 Edney Matias 2008-10-11 20:59:20 EDT
is there anything else i must attacht that would be of value?
Comment 3 Edney Matias 2008-10-12 15:27:07 EDT
I did one simple test. I copy xorg.conf from Fedora 9 and put on /etc/X11 of Fedora 10, started the game and no success. Then I started Fedora 9 and launched the game, worked like a charm or I played at least (25 FPS). So I think the problem isn't related to the absence of xorg.conf. Anyway I'm attaching the xorg.conf from Fedora 9.
Comment 4 Edney Matias 2008-10-12 15:29:53 EDT
Created attachment 320150 [details]
xorg.conf from Fedora 9
Comment 5 Matěj Cepl 2008-10-12 17:51:37 EDT
Could we get /var/log/Xorg.*.log from this success as well, please?
Comment 6 Edney Matias 2008-10-12 22:41:01 EDT
yes, sir!
Comment 7 Edney Matias 2008-10-12 22:42:43 EDT
Created attachment 320159 [details]
Xorg.0.log file from Fedora 9
Comment 8 Edney Matias 2008-10-13 21:29:23 EDT
Created attachment 320239 [details]
urbanterror output

I am attaching the output of urbanterror. Maybe it's useful.
Comment 9 Edney Matias 2008-10-13 21:48:28 EDT
Created attachment 320241 [details]
glxinfo output

Just in case.
Comment 10 Rex Dieter 2008-10-16 14:48:57 EDT
I too am seeing a big hit on compositing performance on i945 upgrading from F9-> rawhide (as of today, Oct 16).
Comment 11 Jon Nettleton 2008-10-20 22:09:07 EDT
Can you guys try xorg-x11-drv-i810-2.4.2-1.fc10 from koji.  That version fixes some of my opengl performance problems.  I am trying to track down the problem and the info could help.
Comment 12 Bug Zapper 2008-11-25 22:43:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Vedran Miletić 2009-11-05 18:11:30 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Edney Matias 2009-11-05 21:08:14 EST
No i don't see this problem anymore. But i'm having one issue that acording to the documentation i found is related to intel driver. I didn't do a very compreensive search, chances that i'm wrong. 

It's related to suspend/resume not working as expected, the computer seems to come back from suspend state, but in some case keyboard is not working, neither mouse. And now after the last kernel update the screen is always black 
after a resume. 

Other thing i noted is when alternating between the graphical mode and the cosole, i can't get back to graphical mode, all is black. 

I already opened a bug report about the keyboard and mouse, here it is 
https://bugzilla.redhat.com/show_bug.cgi?id=529986. And here are the bug and the doc that made me relate the black screen with the intel driver, https://bugzilla.redhat.com/show_bug.cgi?id=473542
and http://fedoraproject.org/wiki/Common_kernel_problems#Suspend.2FResume_to_RAM_failure. 

I'm attaching the dmesg output while runing pm-suspend and resuming my Dell Vostro 1400. The kernel version i'm using is 2.6.31.5-117.fc12.i686.PAE. Anything else i can do? 

Thank you.
Comment 15 Edney Matias 2009-11-05 21:08:56 EST
Created attachment 367771 [details]
dmesg output while running pm-suspend and then resuming
Comment 16 Bug Zapper 2009-11-18 03:32:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Vedran Miletić 2009-12-04 12:56:38 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.